
## Description

Modders resource that contains all my custom scripts used in a variety of my mods. ATM it is mostly Custom Status Effects.


## Usage

Plug and Play for users.


## For other Modders

- There is a Unity Package included in the zip, import this into your Unity project to gain access to the raw scripts, contains a Assembly Definition pointing to this DLL. You can then make Status Effects from Scriptable Objects.
- Add a Reference to this dll in your mods Visual Studio project (or what ever IDE you use) and add:  using HoremvoreAssembly; to your script or scripts.
- The DLL has a basic Demo you can enable in the config that adds some effects to Vanilla Monsters and adds some Healing Potions.
- Do what ever you like with the scripts, I do not claim copywrite.

## Current Scripts Overview

**SE_DoT_HS**

- Has a hit roll, Damage over Time that is scaled by Level, Skill or both. Also has the option for Leech Life effect.
	
**SE_HoT_HS**

- Heal over Time, Scaled by Level, Skill or both.
	
**SE_SoT_HS**

- Stamina over Time, Scaled by Level, Skill or both.
	
**SE_EoT_HS**

- Etir over Time, Scaled by Level, Skill or both.
	
**SE_CureEffect_HS**

- Removes listed Status Effects
	
**SE_Infection_HS**

- Has a hit roll, Damage over Time, Speed Modifier, Regeneration of Health/Stamina/Etir, Damage Resistances and Attack Skill modifiers.
	
**SE_Random_Effect_HS**
	
- Allows the application of Random Effects from a list, along with a Critical Success and Fail effect all based off of a Hit Chance.
	
**SE_InjuryStacker_HS**

- Applies Status effects progressively depending on what current effect the character has also has a Hit Roll.
	
**SE_Sundered_HS**

- Reduces AC Value and does a one off Damage amount based of of a Hit Roll.
	
**SE_Curse_HS**

- Has a Damage over Time, Speed Modifier, Regeneration Modifiers, Spawns random objects that can rotate around the character or basic Objects/Monsters, plays random sounds.

**SE_ThrowUP**

- A custom Puke effect that also has a Damage over Time.

**Emissive_HS**

- Allows adjusting the Emissive property on a material to either change color or to fade in and out.
	

## WIP scripts

These scripts are still been written and may not function as intended if used.

	BossStage_Object_HS
	BossStage_Controller_HS
	BossStage_BossObject_HS
	RandomSpawner_HS
	

## Bug Reports

Join the discord to report any bugs: https://discord.gg/AzcEUkQyMh


## Support

If you like what I do and want to support me.

<a href="https://www.buymeacoffee.com/horemvore"><img src="https://img.buymeacoffee.com/button-api/?text=Buy me a coffee&emoji=&slug=horemvore&button_colour=FFDD00&font_colour=000000&font_family=Cookie&outline_colour=000000&coffee_colour=ffffff" /></a>


## Patch Notes

**0.1.0**

- Initial upload to TS.